## org.eclipse.datatools.connectivity.ui.wizards
Class ConnectionProfileDetailsPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
                  org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.internal.ui.wizards.ISkippable, org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource, org.eclipse.datatools.connectivity.internal.ui.wizards.IWizardAction, org.eclipse.help.IContextProvider, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

Direct Known Subclasses:
  org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSourceWizardPageCore, ExtensibleProfileDetailsWizardPage, GenericDBProfileDetailsWizardPage

    public abstract class ConnectionProfileDetailsPage

extends org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
implements org.eclipse.help.IContextProvider

Author:
  shongxum

Field Summary

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ConnectionProfileDetailsPage(java.lang.String name)`
`ConnectionProfileDetailsPage(java.lang.String pageName, java.lang.String title, org.eclipse.jface.resource.ImageDescriptor titleImage)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`abstract void` `createCustomControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.help.IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`void` `setCreateAutoConnectControls(boolean flag)` Specifies whether to create the controls for the auto connect options on this page.

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizardPage
`getSkippable, getSummaryData, onSetActive, onWizardNext, setNeedMediation, setSkippable`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### ConnectionProfileDetailsPage

    public ConnectionProfileDetailsPage(java.lang.String name)

Parameters:
  `name` -

### ConnectionProfileDetailsPage

    public ConnectionProfileDetailsPage(java.lang.String pageName,
                                        java.lang.String title,
                                        org.eclipse.jface.resource.ImageDescriptor titleImage)

Parameters:
  `pageName` -
  `title` -
  `titleImage` -

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`

### createCustomControl

    public abstract void createCustomControl(org.eclipse.swt.widgets.Composite parent)

### getContext

    public org.eclipse.help.IContext getContext(java.lang.Object target)

  Specified by:
    `getContext` in interface `org.eclipse.help.IContextProvider`

### getContextChangeMask

    public int getContextChangeMask()

  Specified by:
    `getContextChangeMask` in interface `org.eclipse.help.IContextProvider`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Specified by:
    `getSearchExpression` in interface `org.eclipse.help.IContextProvider`

### setCreateAutoConnectControls

    public void setCreateAutoConnectControls(boolean flag)

  Specifies whether to create the controls for the auto connect options on this page.

  Parameters:
    `flag` - true to create related controls; false otherwise
  Since:
    DTP 1.7.2